Package org.jfree.layouting.renderer.process

## Class TableValidationStep.TableInfoStructure

- java.lang.Object
- - org.jfree.layouting.renderer.process.TableValidationStep.TableInfoStructure

- Enclosing class:
    TableValidationStep

      public static class TableValidationStep.TableInfoStructure
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableInfoStructure​(TableRenderBox table)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TableColumnModel` | `getColumnModel​()` |
    `int` | `getColumns​()` |
    `TableRenderBox` | `getTable​()` |
    `void` | `setColumns​(int columns)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableInfoStructure

          public TableInfoStructure​(TableRenderBox table)

  - ### Method Detail

    - #### getTable

          public TableRenderBox getTable​()

    - #### getColumnModel

          public TableColumnModel getColumnModel​()

    - #### getColumns

          public int getColumns​()

    - #### setColumns

          public void setColumns​(int columns)